# Mailao - Temporary Email Generator

A Chrome extension for generating temporary email addresses instantly. Protect your privacy and avoid spam by using disposable email addresses.

## Features

- Generate temporary email addresses instantly
- Real-time inbox monitoring
- View email content in a clean interface
- Copy email address with one click
- Dark mode support
- Multiple domain options
- API key management

## Installation

1. Install from Chrome Web Store (recommended):
   - Visit [Chrome Web Store Link]
   - Click "Add to Chrome"

2. Manual installation (for development):
   - Download or clone this repository
   - Open Chrome and go to `chrome://extensions/`
   - Enable "Developer mode"
   - Click "Load unpacked" and select the extension directory

## Usage

1. Click the extension icon in Chrome toolbar
2. Click "Generate" to create a new temporary email
3. Use the email address for your needs
4. Monitor incoming emails in real-time
5. View email content by clicking on emails in the list

## Privacy & Security

- No personal data is stored
- Emails are temporary and automatically deleted
- No registration required
- Open source code for transparency

## Support

For support, feature requests, or bug reports:
- Create an issue on GitHub
- Contact: [Your Contact Information]

## License

MIT License - feel free to use and modify as needed.

## Credits

- API provided by [Mailao.net](https://mailao.net)
- Icons and design elements from [Your Sources] 